Skip to main content

Accommodations

Resources​

  • /products/\{accommodationId\}

Methods​

  • GET

Summary of changes​

Accommodations are now retrievable via GET /accommodations/{accommodationId}

The accommodationId itself can be retrieved from an associated trip product (GET /trips) that has the accommodation as a bookable component

Alternatively, to query for accommodations that are bookable for a certain trip, use the tripId query parameter (e.g. GET /accommodations?tripId={tripId})

Several field names have been updated. See response changes for a list of fields and their counterparts in the GET /accommodations endpoint of the Partner API

Several fields have been removed or moved to a difference resource. See removed fields table for full details.

  • Note: Accommodations are returned only for trips where it is bookable as an add-on.

Request query parameter changes​

DescriptionPublic APIPartner APITypeNotes
**Trip id Retrieve accommodations products that are bookable for this trip Idn/atripIdstring

Response Changes​

No XML feed existed for accommodations, so it has been excluded here.

DescriptionXML FeedPublic APIPartner APIType
Accommodation IDn/aIdidstring
Statusn/an/astatusstring
Accommodation namen/anamenamestring
Room optionsn/an/a roomType capacity prices – See prices tablestatus type capacity prices[] - See prices table"roomOptions": [ { "status": "AVAILABLE", "type": "Single", "capacity": 1, "prices": […] } ]
Addressn/alocationName city countrybuildingName city country street"address": { "buildingName": "HOTEL FOUR SEASONS", "street": "lorem ipsum", "city": "Melbourne", "country": "AUS", }
Relationship to queried trip products (e.g. Pre-trip, On-trip or Post-trip)n/an/arelationshiparray of strings

Current request (deprecated)​

The legacy Public API returned accommodation products in a flat structure with no location or supplier links.

GET https://api.intrepidtravel.com/v2/accommodations?productCode=BKKACC

{
"id": 45211,
"productCode": "BKKACC",
"name": "Nouvo City Hotel - Bangkok",
"city": "Bangkok",
"country": "Thailand",
"prices": [
{ "currencyCode": "AUD", "amount": 189 }
]
}

Updated request​

The Partner API returns accommodations as a REST resource with supplier, location, images, and cancellation policy references.

GET https://api.partners.intrepidtravel.cloud/accommodations/{accommodationCode}

{

"id": "164055",

"status": "AVAILABLE",

"name": "Corundum Breeze Negombo (Twin)",

"roomOptions": [

{

"status": "AVAILABLE",

"type": "twin",

"prices": [[](#prices_json_sample)[...](#prices_json_sample)[]](#prices_json_sample)

}

],

"address": {

"id": "22936",

"buildingName": "Corundum Breeze Negombo",

"street": "28 Poruthota Road",

"city": "Negombo",

"country": "Sri Lanka"

}

}

Removed fields​

Removed FieldsXML FeedPublic APINotesRelevant Field (if applicable)
Removedn/aproductTypeIdAccommodation products are retrievable via their own endpoints and so this field is now redundant
Removedn/aonRequestDays
Removedn/aonRequestOnly
Removedn/abookingClosed